Debian Bug report logs - #336437
libxine1: use of internal libmad makes other apps crash in amd64

version graph

Package: libxine1; Maintainer for libxine1 is Darren Salt <devspam@moreofthesa.me.uk>; Source for libxine1 is src:xine-lib.

Reported by: G.Ohrner@post.rwth-aachen.de

Date: Sun, 30 Oct 2005 11:03:01 UTC

Severity: grave

Tags: fixed

Found in version libxine1/1.0.1-1

Fixed in version xine-lib/1.1.1-2

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to G.Ohrner@post.rwth-aachen.de:
New Bug report received and forwarded. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: amaroK immediately crashes on playback if using the xine engine
Date: Sun, 30 Oct 2005 11:43:42 +0100
Package: amarok-xine
Version: 1.3.5-1
Severity: important

Using the xine engine and ALSA or OSS output amaroK always crashes
immediately when starting playback.

As I could not find a corresponding bug in KDE's bugtracker and doubt
that the amaroK team would release a version with such a major
functionality problem - especially as the use of arts-engine is
discouraged by them - I guessed it's a Debian specific problem.

IIRC this happened to all amaroK in Debian since the C++ ABI
transition. My current workaround is to use arts-engine until this crash
is fixed.

Any ideas which may be causing that?

0x0000003412ec3fa6 in select () from /lib/libc.so.6
#0  0x0000003412ec3fa6 in select () from /lib/libc.so.6
#1  0x0000003f2c849024 in QEventLoop::processEvents ()
   from /usr/lib/libqt-mt.so.3
#2  0x0000003f2c8bce0a in QEventLoop::enterLoop () from
   /usr/lib/libqt-mt.so.3
#3  0x0000003f2c8bcd13 in QEventLoop::exec () from
   /usr/lib/libqt-mt.so.3
#4  0x0000003f2c8a3ef6 in QApplication::exec () from
   /usr/lib/libqt-mt.so.3
#5  0x00000000005bbff5 in QWizard::setFinish ()
#6  0x0000003412e1c4ba in __libc_start_main () from /lib/libc.so.6
#7  0x0000000000453c4a in ?? ()
#8  0x00007fffff8e87e8 in ?? ()
#9  0x0000003412d179c0 in ?? () from /lib64/ld-linux-x86-64.so.2
   

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.3.cc.20051007.1-skas3-v8.2
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages amarok-xine depends on:
ii  amarok                        1.3.5-1    versatile and easy to use audio pl
ii  kdelibs4c2                    4:3.4.2-4  core libraries for all KDE applica
ii  libc6                         2.3.5-7    GNU C Library: Shared libraries an
ii  libgcc1                       1:4.0.2-2  GCC support library
ii  libstdc++6                    4.0.2-2    The GNU Standard C++ Library v3
ii  libxine1                      1.0.1-1.3  the xine video/media player librar
ii  zlib1g                        1:1.2.3-6  compression library - runtime

amarok-xine recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #10 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: G.Ohrner@post.rwth-aachen.de, 336437@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#336437: amaroK immediately crashes on playback if using the xine engine
Date: Sun, 30 Oct 2005 17:17:19 +0100
retitle 336437 amarok-xine: does not work on amd64 (and other 64bit arches?)
thanks

* Gunter Ohrner [Sun, 30 Oct 2005 11:43:42 +0100]:

> Package: amarok-xine
> Version: 1.3.5-1
> Severity: important

> Using the xine engine and ALSA or OSS output amaroK always crashes
> immediately when starting playback.

> As I could not find a corresponding bug in KDE's bugtracker and doubt
> that the amaroK team would release a version with such a major
> functionality problem - especially as the use of arts-engine is
> discouraged by them - I guessed it's a Debian specific problem.

> IIRC this happened to all amaroK in Debian since the C++ ABI
> transition. My current workaround is to use arts-engine until this crash
> is fixed.

> Any ideas which may be causing that?

  I've been reported before that amarok-xine does not work on amd64 (and
  probably other 64bit arches). I'll keep you informed if I discover
  anything about this.

  Cheers,

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Franz Ferdinand - This Boy
 
A hacker does for love what other would not do for money.




Changed Bug title. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #17 received at 336437@bugs.debian.org (full text, mbox):

From: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>
To: 336437@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>
Subject: Re: Bug#336437: amaroK immediately crashes on playback if using the xine engine
Date: Tue, 1 Nov 2005 00:04:27 +0100
Am Sonntag, 30. Oktober 2005 17:17 schrieb Adeodato Simó:
>   I've been reported before that amarok-xine does not work on amd64
> (and probably other 64bit arches). I'll keep you informed if I discover
> anything about this.

Ok, I got it running:

I recompiled the current xine-lib 1.0.3a with the "--external-mad" 
configure switch, using gcc 3.4 as the compiler. Thanks to the contained 
debian-directory this was pretty simple, only minor adjustments where 
neccessary. (Changelog, build-depends aalib1-dev -> libaa1-dev, the above 
mentioned changes to debian/rules.)

The build fails using gcc 4.0, but 3.4 should have a binary compatible ABI 
so I used this instead. Strangely the first compile I did using the 
internal MAD decoder (default) produced a libxine which would at least 
play OGGs but would crash on MP3s. Using the external MAD library it 
worked, don't ask me why.

So this bug is tied to the libxine1 package in Debian.
Maybe you should harass libxine's maintainer to recompile the package 
using the latest stable source? The last upload by the maintainer seems 
to have been quite some time ago.

Greetings,

  Gunter 



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #22 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>, 336437@bugs.debian.org
Subject: Re: Bug#336437: amaroK immediately crashes on playback if using the xine engine
Date: Tue, 1 Nov 2005 01:15:06 +0100
* Gunter Ohrner [Tue, 01 Nov 2005 00:04:27 +0100]:

> Ok, I got it running:

  Oh, thanks for your investigations.

> I recompiled the current xine-lib 1.0.3a with the "--external-mad" 
> configure switch, using gcc 3.4 as the compiler. Thanks to the contained 
> debian-directory this was pretty simple, only minor adjustments where 
> neccessary. (Changelog, build-depends aalib1-dev -> libaa1-dev, the above 
> mentioned changes to debian/rules.)

> The build fails using gcc 4.0, but 3.4 should have a binary compatible ABI 
> so I used this instead. Strangely the first compile I did using the 
> internal MAD decoder (default) produced a libxine which would at least 
> play OGGs but would crash on MP3s. Using the external MAD library it 
> worked, don't ask me why.

  Did you try to use --enable-mad in Debian's version of libxine? It'd
  be useful to know, since it's easier to do a NMU with that change,
  rather than introduce a new upstream version.

> So this bug is tied to the libxine1 package in Debian.
> Maybe you should harass libxine's maintainer to recompile the package 
> using the latest stable source? The last upload by the maintainer seems 
> to have been quite some time ago.

  Yes, seems like the XINE maintainer is a bit MIA. :(

  Cheers,

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
There may be no I in TEAM, but a M and an E.




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #27 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>, 336437@bugs.debian.org
Subject: Re: Bug#336437: amaroK immediately crashes on playback if using the xine engine
Date: Tue, 1 Nov 2005 01:28:48 +0100
* Adeodato Simó [Tue, 01 Nov 2005 01:15:06 +0100]:

>   Did you try to use --enable-mad in Debian's version of libxine? It'd
>   be useful to know, since it's easier to do a NMU with that change,
>   rather than introduce a new upstream version.

  Oh, sorry for this. I'm now told that --with-external-libmad does not
  exist in 1.0.1.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Luis Eduardo Aute - Aleluya nº 1
 
Love in your heart wasn't put there to stay.
Love isn't love 'til you give it away.
                -- Oscar Hammerstein II




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #32 received at 336437@bugs.debian.org (full text, mbox):

From: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>
To: 336437@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>
Subject: Re: Bug#336437: amaroK immediately crashes on playback if using the xine engine
Date: Tue, 1 Nov 2005 02:09:44 +0100
Am Dienstag, 1. November 2005 01:28 schrieb Adeodato Simó:
>   Oh, sorry for this. I'm now told that --with-external-libmad does not
>   exist in 1.0.1.

Ah, ok. Using libxine 1.0.1 nothing did work, however, not even playing 
OGGs.

Greetings,

  Gunter



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <geromanas@mailas.com>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #37 received at 336437@bugs.debian.org (full text, mbox):

From: Modestas Vainius <geromanas@mailas.com>
To: 336437@bugs.debian.org
Cc: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>, control@bugs.debian.org
Subject: Why amarok xine engine segfaults, when trying to play mp3s
Date: Tue, 29 Nov 2005 19:45:25 +0200
[Message part 1 (text/plain, inline)]
severity 336437 grave
thanks

Hi,

After some investigation, I've discovered the real cause of the segfault 
occuring when using xine-engine to play mp3s (to be more precise, all audio 
files/streams subject to be decoded by mad plugin). Currently the problem is 
known to affect amd64, but naturally, it is not architecture specific. That's 
why I up'ed the severity.

As it was noted before, compiling xine with external libmad fixes the 
segfault. However, this is not a good solution, but a workaround introducing 
other problems/bugs: compiling with external libmad is not recommended by 
xine upstream and such configuration causes kaffeine to crash. Now when using 
internal libmad (current configuration in sid) we have a quite reverse 
situation: kaffeine, xine-ui etc. work, but amarok does not. Something must 
be different about amarok. And it really is.

Amarok links against libtunepimp2c2 that in turn depends on libmad0. So it 
drags (external) libmad dependency to amarok. External libmad exports symbols 
some of which (if not all) are named the same as the ones in xine's internal 
libmad (eg. xine-lib/src/libmad/synth.c:mad_synth_frame()). So ld resolves 
some mad symbols needed by libtunepimp2c2 from external libmad . When xine 
mad decoder plugin wants to access the symbol, that is named the same as the 
one already loaded from external libmad, it is given the already loaded one 
(from external libmad). So we end with the situation that some symbols are 
used from internal libmad and some from external one (in my case at least 
mad_synth_frame() is called from external libmad (checked with gdb)). This 
leads to segfaults because both mad libs are not identical and therefore not 
compatible.

I'm not an expert of how ld works and my description might not be accurate. 
Thus I went the simplest way to solve the problem - I recompiled amarok 
without libtunepimp2-dev and xine-engine started to work (play mp3s) fine 
with current xine in sid. However, disabling some amarok features may not be 
acceptable for everyone...

P.S. oggs play fine with xine-engine and libxine1 1.0.1-1.4 in sid
[Message part 2 (application/pgp-signature, inline)]

Severity set to `grave'. Request was from Modestas Vainius <geromanas@mailas.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@net.com.org.es>:
Bug#336437; Package amarok-xine. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@net.com.org.es>. Full text and rfc822 format available.

Message #44 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: 336437@bugs.debian.org, libxine1@packages.debian.org
Cc: control@bugs.debian.org
Subject: Reassigning this bug about amarok+xine crash to the xine package
Date: Wed, 18 Jan 2006 20:12:42 +0100
retitle 336437 libxine1: use of internal libmad makes other apps crash in amd64
reassign 336437 libxine1 1.0.1-1
thanks

Hello,

  there is a grave bug against the amarok package (#336437) reporting
  that amarok crashes on amd64 when playing mp3 files with the xine
  engine.

  Modestas Vainius investigated the problem further [1], and found out
  the root of the crashes to lie in two copies of libmad being loaded
  into memory: xine's internal copy, and the one that gets loaded via
  libtunepimp, which the amarok binary DT_NEEDs.

    [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336437;msg=37

  From reading some docs (e.g. [2]), it sounds like from XINE 1.1.1
  onwards, the use of external libmad is preferred, so please switch to
  that in the next upstream version that enters Debian.

    [2] http://www.gentoo.org/proj/en/desktop/video/xine.xml

  Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Arguing with an engineer is like wrestling with a pig in mud: after a
while, you realize the pig is enjoying it.




Changed Bug title. Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `amarok-xine' to `libxine1'. Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Reinhard Tartler <siretart@ubuntu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#336437; Package libxine1. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #55 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Reinhard Tartler <siretart@ubuntu.com>, 336437@bugs.debian.org
Subject: Re: tagging 336437
Date: Wed, 22 Mar 2006 19:02:38 +0100
* Reinhard Tartler [Sat, 25 Feb 2006 04:05:49 -0500]:

> # Automatically generated email from bts, devscripts version 2.9.4
> tags 336437 pending

  Does this pending tag mean an upload is coming soon? Does it fix the
  FTBFS bugs as well, or should somebody be looking into that?

  Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
I went to the race track once and bet on a horse that was so good that
it took seven others to beat him!




Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#336437; Package libxine1. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #60 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: 336437@bugs.debian.org
Cc: Reinhard Tartler <siretart@ubuntu.com>
Subject: Re: Bug#336437: tagging 336437
Date: Mon, 10 Apr 2006 23:38:34 +0200
* Adeodato Simó [Wed, 22 Mar 2006 19:02:38 +0100]:

Hi again,

> * Reinhard Tartler [Sat, 25 Feb 2006 04:05:49 -0500]:

> > # Automatically generated email from bts, devscripts version 2.9.4
> > tags 336437 pending

>   Does this pending tag mean an upload is coming soon?

  I see this is fixed in CVS, any ETA for the upload? Since this is
  breaking amarok horribly for amd64 users, I may upload a fix myself in
  the following days.

  Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
- Oh, George, you didn't jump into the river. How sensible of you! 
                -- Mrs Banks in «Mary Poppins»




Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#336437; Package libxine1. Full text and rfc822 format available.

Acknowledgement sent to 336437@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #65 received at 336437@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: 336437@bugs.debian.org
Subject: NMU diff for this bug
Date: Sat, 15 Apr 2006 20:08:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

  I've finally uploaded a non-maintainer upload fixing this issue. Patch
  attached.

  Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                          Listening to: Alejandro Sanz - El alma al aire
[xine-lib-NMU.diff (text/plain, attachment)]

Tags added: fixed Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to G.Ohrner@post.rwth-aachen.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 336437-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 336437-close@bugs.debian.org
Subject: Bug#336437: fixed in xine-lib 1.1.1-2
Date: Mon, 12 Jun 2006 10:17:23 -0700
Source: xine-lib
Source-Version: 1.1.1-2

We believe that the bug you reported is fixed in the latest version of
xine-lib, which is due to be installed in the Debian FTP archive:

libxine-dev_1.1.1-2_i386.deb
  to pool/main/x/xine-lib/libxine-dev_1.1.1-2_i386.deb
libxine1_1.1.1-2_i386.deb
  to pool/main/x/xine-lib/libxine1_1.1.1-2_i386.deb
xine-lib_1.1.1-2.diff.gz
  to pool/main/x/xine-lib/xine-lib_1.1.1-2.diff.gz
xine-lib_1.1.1-2.dsc
  to pool/main/x/xine-lib/xine-lib_1.1.1-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336437@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated xine-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Jun 2006 18:16:30 +0200
Source: xine-lib
Binary: libxine-dev libxine1
Architecture: source i386
Version: 1.1.1-2
Distribution: unstable
Urgency: medium
Maintainer: Siggi Langauf <siggi@debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 libxine-dev - the xine video player library, development packages
 libxine1   - the xine video/media player library, binary files
Closes: 281572 300852 320164 336437 354436 358429 368247 369658 369876 369974
Changes: 
 xine-lib (1.1.1-2) unstable; urgency=medium
 .
   [ Reinhard Tartler ]
 .
   * Use external libmad, acknowledging NMU (Closes: #336437)
   * enable support for libxvmc1, now that we have xorg in debian
     (Closes: #281572)
   * Conflict/Replaces obsolete package 'xine' (Closes: #300852)
   * Incorporated Darrens Changes into a new maintainer upload
   * medium urgency, although security fixes a lot of other functionality
     changes
   * Some more fixages to inline usage in internal copy of ffmpeg, continuing
     the patch from Darren Salt.
   * Verified that this upload fixes build on mips, and other build failiures
     look pretty similar. Therefore (Closes: #354436)
   * Verified that /usr/share/doc/libxine1/faq/faq.{html,txt} is now installed
     correctly (Closes: #369658)
   * fix gnome-vfs plugin to allow play back of http URLs again. Patch from
     upstream CVS, thank you for pointing this out, Sam Morris (Closes: #369974)
 .
   [ Darren Salt ]
 .
    * SECURITY FIXES (closes: #369876):
     - Possible buffer overflow in the AVI demuxer, caused by
       specially-crafted files or streams;
     - Possible buffer overflow in the HTTP header-fetching code.
       (CVE-2006-2802)
 .
   * Tidy up the FAQ list and README installation to quieten dh_install.
   * Re-update the FSF address in debian/copyright. It got lost in 1.1.1-1.
   * Add build-dep alternatives for those of us who do backports to sarge.
   * Tidy up the package descriptions a little.
   * Bump shlibs to >= 1.1.0 due to new functions. (Closes: #358429, #368247)
   * Empty config file no longer prevents the config from being saved.
     (Fixed in upstream 1.1.1) (Closes: #320164)
   * Pulled in some patches from CVS:
     - the above security fixes;
     - fix ALSA resume-from-suspend;
     - fix incorrect size calculation in interlaced Matroska demuxing;
     - various uninitialised variables, some of which should be non-zero;
     - HTTP MRLs requiring authentication would only work when using a proxy;
     - fix possibly-broken locale handling in the SMB input plugin;
     - avoid problems where the ffmpeg audio decoder can't find a codec;
     - avoid a couple of compiler warnings (libavutil);
     - fix up some typecasting in the win32 codec interface;
     - avoid problems with negative sizes (general demuxing);
     - some plugin cache reading code should also be used on ia64;
     - fix a couple of printf warnings on 64-bit;
     - add some locking around playback speed change code;
     - incorrect default CPU acceleration setting on powerpc;
     - fix crash at startup if VO deinterlacing is enabled, onefield_xv is
       selected and the image format is YV12;
     - avoid possible segfault with 1x1 PNGs when handled by the ffmpeg plugin;
     - wrong names used for libX11 and libXv in the health check code (we now
       detect the correct names at build time);
     - add a missing -I to src/libffmpeg/libavcodec/sparc/Makefile.am (should
       fix an FTBFS on sparc);
     - alter configure.ac to avoid FTBFS when configure is regenerated with
       autoconf 2.59c or later.
   * Add AM_MAINTAINER_MODE.
   * Fix usage of inlined functions in libffmpeg before they're defined. This is
     not implemented for all architectures in gcc 4.0.x and was causing FTBFS.
   * Kill some pointer<->int casting warnings on 64-bit architectures. (Taken
     from CVS HEAD)
Files: 
 d981b0c9679ae5fa96871fbd7c007439 1220 libs optional xine-lib_1.1.1-2.dsc
 f845b93ffa046be7fa3b8449786e6b40 224268 libs optional xine-lib_1.1.1-2.diff.gz
 2d9aa9fdf67398438f035bff9d96bd54 111078 libdevel optional libxine-dev_1.1.1-2_i386.deb
 11a1cff18dcdb6ae2bb4c417a35c1c12 9389866 libs optional libxine1_1.1.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEjZ6jXKRQ3lK3SH4RArsBAKCsBNdmk8oV+IR/V/+8WOU5RlatbgCdFKG/
E/y6EGfeipC/wIxo9ELnMFE=
=9wI5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:12:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:21:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.